Bug 1294711 - Review Request: python3-py - Library with cross-python path, ini-parsing, io, code, log facilities
Review Request: python3-py - Library with cross-python path, ini-parsing, io,...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
epel7
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: John Dulaney
Fedora Extras Quality Assurance
:
Depends On: 1294704
Blocks: 1294856
  Show dependency treegraph
 
Reported: 2015-12-29 17:50 EST by Orion Poplawski
Modified: 2016-01-20 23:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 23:38:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jdulaney: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-12-29 17:50:53 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-py.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-py-1.4.30-1.el7.src.rpm
Description: 
The py lib is a Python development support library featuring the
following tools and modules:

  * py.path: uniform local and svn path objects
  * py.apipkg: explicit API control and lazy-importing
  * py.iniconfig: easy parsing of .ini files
  * py.code: dynamic code generation and introspection
  * py.path: uniform local and svn path objects

Fedora Account System Username: orion
Comment 1 Orion Poplawski 2015-12-30 13:27:31 EST
Copr: https://copr.fedoraproject.org/coprs/g/python/python3_epel7/
Comment 2 John Dulaney 2015-12-30 20:40:41 EST
rpmlint looks good:

jdulaney@gefjon:~/rpmbuild$ rpmlint ./python3-py.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
jdulaney@gefjon:~/rpmbuild$ rpmlint ./python3-py-1.4.30-1.el7.src.rpm 
python3-py.src: W: spelling-error Summary(en_US) ini -> uni, in, ii
python3-py.src: W: spelling-error Summary(en_US) io -> oi, Io, ii
python3-py.src: W: spelling-error %description -l en_US svn -> sen, sin, son
python3-py.src: W: spelling-error %description -l en_US apipkg -> Apia
python3-py.src: W: spelling-error %description -l en_US iniconfig -> confiding
python3-py.src: W: spelling-error %description -l en_US ini -> uni, in, ii
1 packages and 0 specfiles checked; 0 errors, 6 warnings.


Only issue I see is the Group tag needs to be nixed.
Comment 3 Orion Poplawski 2015-12-30 22:59:12 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-py.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-py-1.4.30-2.el7.src.rpm

* Wed Dec 30 2015 Orion Poplawski <orion@cora.nwra.com> - 1.4.30-2
- Drop group tag
- Minor cleanup
Comment 4 John Dulaney 2016-01-04 15:07:55 EST
Okay, looks good.  Approved.
Comment 5 Orion Poplawski 2016-01-04 15:50:15 EST
Thanks for the review.
Comment 6 Gwyn Ciesla 2016-01-04 16:01:12 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python3-py
Comment 7 Fedora Update System 2016-01-04 16:26:01 EST
python3-py-1.4.30-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0087a8cbe2
Comment 8 Fedora Update System 2016-01-05 18:26:54 EST
python3-py-1.4.30-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0087a8cbe2
Comment 9 Denis Fateyev 2016-01-06 13:19:42 EST
FYI: bug assignment was a bit confusing in search results. Added assignee.
Comment 10 Fedora Update System 2016-01-20 23:38:09 EST
python3-py-1.4.30-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.